package br.usp.ime.pictware.business.album.dao;

import br.usp.ime.pictware.business.album.bo.Album;
import br.usp.ime.pictware.business.album.bo.Foto;

public interface AlbumDAO {

	public void incluirAlbum(Album album);

	public void incluirFoto(Foto foto);

	public void excluirAlbum(Album album);

	public void excluirFoto(Foto foto);

	public Album atualizarAlbum(Album album);

	public Album buscarAlbum(Long albumId);

	public Foto buscarFoto(Long fotoId);

	public Foto atualizarFoto(Foto foto);

}