package br.usp.ime.pictware.web.mashup;

import java.util.ArrayList;
import java.util.List;

import com.aetrion.flickr.Flickr;
import com.aetrion.flickr.REST;
import com.aetrion.flickr.photos.Photo;
import com.aetrion.flickr.photos.PhotoList;
import com.aetrion.flickr.photos.PhotosInterface;
import com.aetrion.flickr.photos.SearchParameters;

public class FlickrHelper {

	private List<FotoBean> listaFotos = new ArrayList<FotoBean>(10);
	
	public FlickrHelper(){
		
	}
	
	public List<FotoBean> buscarFotos(String query, int numFotos){
		
		try{
			Flickr flickr = new Flickr("4891aab2f2b5b52e26389c4a3004960e","c01f8b414e26f087",new REST());
			Flickr.debugRequest = true;
			Flickr.debugStream = true;
			PhotosInterface photosInterface = flickr.getPhotosInterface();
			SearchParameters searchParms = new SearchParameters();
			searchParms.setText(query);
			searchParms.setTagMode("all");
			searchParms.setSort(SearchParameters.RELEVANCE);
			PhotoList photoList = photosInterface.search(searchParms,numFotos,1);
			
			for (Object o : photoList){
				Photo photo = (Photo)o;
				FotoBean foto = new FotoBean();
				foto.setLinkFotoTamanhoNormal(photo.getUrl());
				foto.setLinkFotoThumbnail(photo.getSmallUrl());
				foto.setLinkOwnerFoto(photo.getOwner().getUsername());
				//foto.setResolucao();
				//foto.setTamanho
				foto.setTipoArquivo(photo.getOriginalFormat());
				foto.setTitulo(photo.getTitle());
				listaFotos.add(foto);
			}
		}catch(Exception e){
			e.printStackTrace();
		}
		
		return listaFotos;
	}	
	
}
