<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<link href="css/styles.css" rel="stylesheet" type="text/css" media="screen" />
	<script type="text/javascript" src="js/novaFoto.js"> </script>
	<title>Explorador de Fotos - PictWare</title>
</head>
<body >
 <div id="content">
 <%@ include file="cabecalho.jsp" %>
 	<div id="main">
 	</div>
 	<div id="back">
		<div id="conteudo" style="text-align: center;">
			<c:forEach var="foto" items="${album.listaFotos}" varStatus="fotoLoop">
			<div id="album_miniatura" >
				<a href="visualizarFoto.do?fotoId=${foto.id}">
					<img src="userpics/${uid}_${foto.id}.jpg" style="width:175px; heigth: 175px;"/>
				</a>
				<br/>
				${foto.legenda}
				<br/>	 
				<c:if test="${album.owner.id eq uid}"> 
  					<a href="excluirFoto.do?albumId=${album.id}&fotoId=${foto.id}">Excluir</a>
				</c:if>
			</div>
		</c:forEach>
		<br />
		<br />
		<br />
		<div id="novocomentario" style="text-align: left; clear: left;">
			<div class="texto"> 		
				<form action="inserirFoto.do?albumId=${album.id}" enctype="multipart/form-data" method="post">
					<p>
						Por favor especifique a foto:
						<br/>
						<input name="imagem" type="file" id="imagem"/>
					</p>
					<p>
						Legenda:<br/>
						<textarea name="legenda" rows="4" cols="30"></textarea>
					</p>
					<div>
						<input type="submit" value="Send"/>
					</div>
				</form>
			</div>
		</div>
	</div>
			
	<div style="clear: both;">&nbsp;
	</div>
 </div>
 <div id="bottom">
 </div>
 <%@ include file="rodape.jsp" %>
</div>
</body>
</html>