package br.usp.ime.pictware.business.assinante.dao;

import java.util.List;

import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.infraestrutura.persistencia.assinante.FiltroBuscaAssinante;

public interface AssinanteDAO{

	public Assinante buscarAssinante(FiltroBuscaAssinante filtroBuscaAssinante);
	
	public List<Assinante> buscarAssinantes();
	
	public Assinante atualizarAssinante(Assinante assinante);

	public void incluirAssinante(Assinante assinante);
	
	public void excluirAssinante(Assinante assinante);
	
	public boolean existeAssinante(String login);
	
	
}
