package br.usp.ime.pictware.business.grupoacesso.dao;

import br.usp.ime.pictware.business.grupoacesso.bo.GrupoAcesso;
import br.usp.ime.pictware.business.grupoacesso.bo.MembroGrupo;

public interface GrupoAcessoDAO{
	
	public GrupoAcesso buscarGrupoAcesso(Long grupoAcessoId);
		
	public GrupoAcesso atualizarGrupoAcesso(GrupoAcesso grupoAcesso);

	public boolean existeGrupoAcesso(Long ownerId, String nomeGrupo);

	public MembroGrupo buscarMembro(Long membroId);

	public void incluirMembro(MembroGrupo membro);
}
